> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get adminv2 rolloutjobs events

> Get EE v2 rollout job events

Required token scopes: `instance|read`



## OpenAPI

````yaml /swagger.json get /admin/v2-rollout/jobs/{jobId}/events
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /admin/v2-rollout/jobs/{jobId}/events:
    get:
      tags:
        - admin
      description: |-
        Get EE v2 rollout job events

        Required token scopes: `instance|read`
      parameters:
        - schema:
            type: string
          required: true
          name: jobId
          in: path
        - schema:
            type: integer
            nullable: true
            minimum: 0
          required: false
          name: afterSeq
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 500
            default: 200
          required: false
          name: take
          in: query
      responses:
        '200':
          description: V2 rollout events
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        jobId:
                          type: string
                        seq:
                          type: number
                        type:
                          type: string
                        level:
                          type: string
                          enum:
                            - info
                            - warn
                            - error
                        spaceId:
                          type: string
                          nullable: true
                        baseId:
                          type: string
                          nullable: true
                        tableId:
                          type: string
                          nullable: true
                        fieldId:
                          type: string
                          nullable: true
                        ruleId:
                          type: string
                          nullable: true
                        payload:
                          nullable: true
                        createdTime:
                          type: string
                      required:
                        - id
                        - jobId
                        - seq
                        - type
                        - level
                        - createdTime
                required:
                  - data
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/admin/v2-rollout/jobs/%7BjobId%7D/events?afterSeq=SOME_INTEGER_VALUE&take=SOME_INTEGER_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/admin/v2-rollout/jobs/%7BjobId%7D/events?afterSeq=SOME_INTEGER_VALUE&take=SOME_INTEGER_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/admin/v2-rollout/jobs/%7BjobId%7D/events?afterSeq=SOME_INTEGER_VALUE&take=SOME_INTEGER_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/admin/v2-rollout/jobs/%7BjobId%7D/events?afterSeq=SOME_INTEGER_VALUE&take=SOME_INTEGER_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````